/*Connect all css styles into one sheet.*/

/*General Style*/
@import url('https://cdn-uicons.flaticon.com/uicons-thin-rounded/css/uicons-thin-rounded.css');
@import url('https://fonts.googleapis.com/css2?family=Cinzel:wght@500&display=swap');
@import url('https://cdn-uicons.flaticon.com/uicons-solid-rounded/css/uicons-solid-rounded.css');
@import url('https://cdn-uicons.flaticon.com/uicons-thin-straight/css/uicons-thin-straight.css');
@import url('https://cdn-uicons.flaticon.com/uicons-solid-straight/css/uicons-solid-straight.css');
@import url('https://cdn-uicons.flaticon.com/uicons-regular-rounded/css/uicons-regular-rounded.css');
@import url('https://cdn-uicons.flaticon.com/uicons-solid-straight/css/uicons-solid-straight.css');
@import url('https://cdn-uicons.flaticon.com/uicons-regular-straight/css/uicons-regular-straight.css');
@import url('https://cdn-uicons.flaticon.com/uicons-regular-rounded/css/uicons-regular-rounded.css');
@import url('https://cdn-uicons.flaticon.com/2.3.0/uicons-bold-rounded/css/uicons-bold-rounded.css');
@import url('https://cdn-uicons.flaticon.com/2.4.0/uicons-solid-rounded/css/uicons-solid-rounded.css');

@font-face {
    font-family: BrushFont; /* Hero heading only */ 
    src: url(fonts/H2TTF.ttf) format("truetype");
}

@font-face {
    font-family: Cinzel-reg; /* LOGO Heading Only */
    src: url(fonts/cinzel.regular.ttf) format("truetype");
}

@font-face { 
    font-family: 'Avenir LT Roman Regular';
    src: 
    url(fonts/AvenirLT55RomanRegular.ttf) format("truetype"),
    url(fonts/AvenirLT55RomanRegular.woff) format("woff"),
    url(fonts/AvenirLT55RomanRegular.woff2) format("woff2");
}

html{
    overflow-x: hidden;
}

/* Reset some default browser styles */
body, p, h2, ul, li {
    font-family: "Avenir LT Roman Regular", Arial, Helvetica, sans-serif;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

h1 {
    font-family: "Cinzel-reg", Arial, Helvetica, sans-serif;
    font-size: 24px;
    margin: 0;
    padding: 0;
    font-weight: 500;
    color: white;
}

h2 {
    padding: 0; margin: 0;
    font-size: 18px;
    font-family: "Avenir LT Roman Regular", Arial, Helvetica, sans-serif;
}

h3 {
    padding: 16px;
    font-size: 16px;
    font-weight: 100;
    font-family: "Avenir LT Roman Regular", Arial, Helvetica, sans-serif;
}

h4 {
    padding: 0; margin: 0;
    font-size: 12px;
    font-family: "Avenir LT Roman Regular", Arial, Helvetica, sans-serif;
}

h5 {
    font-family: "BrushFont", Arial, Helvetica, sans-serif;
    font-size: 48px;
}

.product-title{
    font-size: 18px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.fi-ts-angle-down{
    font-size: 10px;
}

.vendorusername {
    padding: 0; margin: 0;
    font-size: 12px;
    color: rgb(192, 23, 192);
    margin-bottom: 20px;
}

body {
    background-color: rgb(255,255,242);
}

.nav {
    background-color: rgba(0, 15, 30, 1);
    color: #fff;
    /*min-width: 1000px;*/
    width: 100%;
    height: 100px;
    padding: 20px;
    /*display: flex;*/
    /*align-items: center;*/
    /*justify-content: center;*/
    position: fixed;
    z-index: 99;
    white-space: nowrap;
}

.menu-items {
    display: flex;
    align-items: center;
    justify-content: center;
}

.menu-items a {
    display: block;
    color: #fff;
    text-decoration: none;
    padding: 10px 20px 10px 20px;
    margin: 0 0 5px 0;
    border-radius: 20px;
    transition: 0.3s ease;
}

.nav .menu-items .active {
    color: orange;
}

.nav .menu-items a:hover{
    background-color: white;
    color: black;
    cursor: pointer;
}

.hmb-items a{
    display: block;
    color: #fff;
    text-decoration: none;
    padding: 10px 20px 10px 20px;
    margin: 0 0 5px 0;
    border-radius: 20px;
    transition: 0.3s ease;
}

.hmb-menu .hmb-items .active {
    color: orange;
}

.hmb-items a:hover{
    background-color: white;
    color: black;
    cursor: pointer;
}

.menu-hmb{
    background: none;
    border: none;
    font-size: 36px;
    color: #fff;
    height: 100%;
    width: 50px;
    border-radius: 15px;
}
.menu-hmb:hover {
    cursor: pointer;
}

.navlogo{
    max-width: 50px;
    margin: 0 10px;
}

.logoitems{
    display: flex;
    align-items: center;
}

.cline-flex {
    display: flex;
    align-items: center;
}

.flex-rgt-align{
    justify-content: right;
}

.nav-spacer{
    height: 50px;
    display: flex;
    flex-grow: 1;
    flex-direction: row;
    min-width: 50px;
}

.nav-action-call{
    /*margin-left: 50px;*/
    /*margin-right: 100px;*/
    /*min-width: 550px;*/
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    position: static;
}

.action-button {
    padding: 15px 20px;
    border-radius: 15px;
    border: none;
    background-color: orange;
    cursor: pointer;
    font-size: 16px;
}

.action-button:hover {
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.6);
    background-color: #f7f7f7;
    
}

.nav #link:-webkit-any-link {
    color: black;
    cursor: pointer;
    text-decoration: none;
}

.nav .logoitems a:-webkit-any-link {
    color: black;
    cursor: pointer;
    text-decoration: none;
}

/*.button-spacing{*/
/*    width: fit-content;*/
/*}*/

.nav-5px{
    margin-top: 5px;
}

.sm-button-spacing{
    margin-left: 50px;
}

.nev-login-reg{
    margin-left: 50px;
    /*margin-right: 100px;*/
    display: flex;
    align-items: center;
}

.nev-login-reg a{ 
    text-decoration: none;
    color: white;
    padding: 10px;
    border-radius: 20px;
    transition: 0.3s ease;
}

.nev-login-reg a:hover{ 
    text-decoration: none;
    color: black;
    background-color: white;
}

/* Style the menu */
.hmb-menu {
    position: fixed;
    transform: translateY(-200%);
    transition: transform 0.4s;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 99;
    background: black;
    color: white;
    list-style: none;
    padding-top: 4rem;
    width: 100%;
    height: 100%;
    margin: 100px 0px 0px 0px;
    text-align: center;
    
}

/* Show the menu when toggled */
.showMenu {
    transform: translateY(0);
}

.closeIcon {
    display: none;
}

/*----------------------------------------------------------------------------------------------------------------------------------------------------*/
/* Style the main content */
.initialPrice {
    /*text-align: right;*/
    font-size: 16px;
    margin-top: 10px;
}

.main {
    min-height: 100vh;
    min-width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    }

.gridcontainer {
    margin-top: 100px;
    min-width: 100%; 
    max-width: 1440px;
}

.flex-container {
    /*display: flex;*/
    /*grid-column: 2 / 2;*/ 
    /*grid-row: 2 / 2;*/
    /*align-self: center;*/
    width: 100%;
}

.container {
    margin: 25px 0px;
    display: flex;
    /*grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));*/
    gap: 10px;
    flex-wrap: wrap;
    justify-content: center;
}

.container .product {
    background-color: rgba(255, 255, 255, 1);
    color: black;
    text-align: center;
    border-radius: 5px;
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
    margin: 0;
    padding: 0;
    min-width: 300px;
    height: 100%;
}

.container .product:hover {
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.6);
    cursor: pointer;
}

.container .product .image {
    margin-bottom: 10px;
    overflow: hidden;
    border-radius: 5px 5px 0 0;
    /*height: 65%;*/
    height: 400px;
}

.container .product .image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.container .product .link {
    background-color: rgb(255,255,242);
    display: block;
}

.product a:-webkit-any-link {
    color: black;
    cursor: pointer;
    text-decoration: none;
}

.container .product .content {
    text-align: left;
    margin-left: 10px;
}



.footer {
    text-align: center;
    /* background-color: rgba(0, 0, 0, 0.9); */
    background-color: rgba(0, 15, 30, 1);
    color: #fff;
    padding: 10px;
    width: 100%;
    height: 100px;
}

/* Adding style and functionality to the dropdown menu */

/* Dropdown Button */
.dropbtn {
    background-color: white;
    color: black;
    padding: 16px;
    font-size: 16px;
    border: none;
    cursor: pointer;
    border-radius: 25px;
    
  }
  
  /* The container <div> - needed to position the dropdown content */
  .dropdown {
    grid-column: 2 / 2;
    grid-row: 1 / 1;
    justify-self: center;
    
  }
  
  /* Dropdown Content (Hidden by Default) */
  .dropdown-product {
    display: none;
    /* position: absolute; */
    position: relative;
    background-color: #f1f1f1;
    min-width: 300px;
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
    z-index: 1;
    border-radius: 25px;
    padding: 16px;
  }
  
  /* Links inside the dropdown */
  .dropdown-product a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
  }
  
  /* Change color of dropdown links on hover */
  .dropdown-content a:hover {
    background-color: #ddd;
}
  
  /* Show the dropdown menu (use JS to add this class to the .dropdown-content container when the user clicks on the dropdown button) */
  /*.show {display:block;}*/

/*#search-input{*/
/*    padding: 15px; margin: 10px;*/
/*    border-radius: 25px;*/
/*    border: white;*/
/*    min-width: 300px;*/
/*    margin-top: 30px;*/
/*    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.6);*/
    /* box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2); */
/*}*/

/*#search-input:hover{*/
    
    /* border-radius: 25px; */
    /* box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2); */
/*    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.6);*/
/*}*/

/*#searcg-input:target{*/
/*    padding: 15px; margin: 10px;*/
/*    border-radius: 25px;*/
/*    border: white;*/
/*    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);*/
/*}*/

/*search bar styling*/

.search-bar {
    display: flex;
    align-items: center;
    width: 50%;
    margin: 25px 25%;
}

/* Style the input field */
.search-bar input[type="text"] {
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 14px;
    flex-grow: 1;
}

/* Style the search button */
.search-bar button {
    background-color: #000000;
    color: white;
    border: none;
    border-radius: 4px;
    padding: 8px 12px;
    cursor: pointer;
    font-size: 14px;
    margin-left: 10px;
}

/*store grid*/

.grid-bottom-row {
    grid-column: 2 / 2;
    grid-row: 3 / 3;
    justify-self: center;
    align-self: center;
}

.loadMore {
    padding: 15px;
    border: white;
    border-radius: 25px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    background-color: white;
}

.loadMore:hover {
    background-color: orange;
    
    cursor: pointer;
}

.on-product-click {
    display: block;
    text-decoration: none;
}

.cart-button{
    padding: 8px 10px 8px 10px; margin: 0;
    border: none;
    background-color: white;
    border-radius: 30px;
    font-size: 16px;
    cursor: pointer;
}

/*.cart-button:hover{*/
/*    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2);*/
/*    cursor: pointer;*/
/*    background-color: orange;*/
/*}*/

.love-button{
    /* text-align: center; */
    padding: 10px 10px 6px 10px; margin: 0;
    border: none;
    background-color: white;
    border-radius: 30px;
    font-size: 16px;
    cursor: pointer;
}

/*.love-button:hover{*/
/*    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2);*/
/*    cursor: pointer;*/
/*    background-color: orange;*/
/*}*/

.hero {
    /*background-image: url('img/galien.jpeg');*/
    background-image: url('img/hero-green-alien-2.jpg');
    background-color: black;
    background-position: right center;
    /*background-size:cover;*/
    background-size: 50%;
    background-repeat: no-repeat;
    background-position: center;
    display: flex;
    width: 100%;
    /*height: auto;*/
    /*max-height: 75vh;*/
    min-height: 500px;
    justify-content: center;
    align-content: center;
    /*z-index: -1;*/
}

.schedule-display {
    padding: 0; margin: 0;
    color: white;
    width: 100%;
    /*margin-left: 15vw;*/
    min-height: fit-content;
}

.hero-shader{
    display: inline-block;
    background-color: rgba(0, 0, 0, 0.2);
    width: 100%;
    height: 100%;
    margin: 0; 
    padding: 0 50px 0 15vw;
    
}

/*.hero-contents{*/
/*    opacity: 1;*/
/*}*/

.homepagegrid{
    min-width: 100%;
    margin-top: 90px;
    display: flex;
    z-index: 2;
}

#hero-heading{
    margin-right: 0; padding: 0;
    margin-top: 50px;
    margin-bottom: 0;
    font-weight: 500;
    font-size: 64px;
    color: orange;
    /* background-color: rgba(0,0,0, 0.5); */
    border-radius: 25px;
}

.countdown-text {
    font-size: 24px;
    margin-right: 0;
    padding: 0;
    font-weight: 500;
    color: black;
}

.cd-heading-text {
    font-size: 14px;
}

.colon{
    align-self: center;
    color: white;
}

.hero-button {
    margin-top: 50px;
}

.countdown-container{
    /*background-color: rgb(230, 230, 230);*/
    background-color: white;
    border-radius: 10px;
    padding: 10px; margin: 5px;
    height: 55px;
    width: 65px;
    text-align: center;
}

#hero-text{
    margin: 0; padding: 0;
    font-weight: 200;
    font-family: "Avenir LT Roman Regular", Arial, Helvetica, sans-serif;
}

#hero-reg-text{
    margin: 0; padding: 0;
    font-weight: 200;
    /*margin-top: 75px;*/
    font-size: 28px;
    font-family: "Avenir LT Roman Regular", Arial, Helvetica, sans-serif;
}

.timer{
    display: flex;
    flex-wrap: nowrap;
}

.hb-font{
    font-weight: 600;
    max-width: 400px;
    width: 50%;
    /* margin-left: 0; */
}

.large-widget {
    background-color: rgba(255,255,255,1);
    padding: 20px;
    margin: 125px 100px 175px 100px;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.6);
    width: 600px;
    /*height: 600px;*/
    height: fit-content;
    /* text-align: center; */
}

.user_input {
    padding: 10px;
    /*width: 500px;*/
    border-radius: 5px;
    border: 1px solid #ccc;
    width: 100%;
    /*border-width: 1px;*/
    /*border-color: black;*/
}

#username:focus {
    border-color: orange;
}

#signin_button {
    padding: 10px;
    margin: 10px 0px;
    /*background-color: white;*/
    border-radius: 5px;
    background-color: orange;
    border: none;
    width: 100%;
}

#signin_button:hover{
    cursor: pointer;
    /*box-shadow: 0 2px 4px rgba(0, 0, 0, 0.6);*/
    background-color: #ff9900;
}

#verify_address {
    padding: 10px;
    margin: 10px 0px;
    /*background-color: white;*/
    border-radius: 5px;
    background-color: orange;
    border: none;
    width: 100%;
}

#verify_address:hover{
    cursor: pointer;
    /*box-shadow: 0 2px 4px rgba(0, 0, 0, 0.6);*/
    background-color: #ff9900;
}

.widget-content {
    margin: 0px;
    padding: 25px;
    height: fit-content;
}

.dropdown-signup{
    background-color: #ffffff;
}


/*----------------------------------------------------------------*/

.profile-container {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    margin: 5px;
}

.profile-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.profile-details-container{
    display: flex;
    align-content: center;
    /*margin: 10px 10px 10px 0px;*/
    text-decoration: none;
}
.username-tag:hover{
    text-decoration: underline;
}

.username-tag{
    color: purple;
    margin: 0;
    font-size: 16px;
    margin-top: 5px;
    font-family: "Avenir LT Roman Regular", Arial, Helvetica, sans-serif;
}

.user-rating{
    margin: 0;
    font-family: "Avenir LT Roman Regular", Arial, Helvetica, sans-serif;
    font-size: 14px;
    color: black;
}

.star{
    color: orange;
    font-size: 16px;
}

.star-container{
    display: flex;
    flex-wrap: nowrap;
    text-align: center;
    max-height: 18px;
    /*margin-left: 5px;*/
    align-items: center;
}



/*---------------------------------------------------------------------------------------------------------------------------------------*/

.right-aligned{
    text-align: right;
}


/*Mobile*/

* {
  box-sizing: border-box;
}

.row::after {
  content: "";
  clear: both;
  display: table;
}

[class*="col-"] {
  float: left;
  padding: 5px;
}


.hgt-100{
height: 100%;
}

.nav-welcome-back {
    display: flex;
    white-space: normal;
}

@media only screen and (max-width: 600px) {
    /* For mobile phones: */
    [class*="col-"] {
      width: 50%;
    }
    
    .col-xs-12 {
        width: 100%;
    }
    .hdn {
    display: none !important;
    }   
    
    /*.countdown-text, #hero-reg-text, #hero-text{*/
    /*font-family: Arial;*/
    /*}*/
    
    *:not(h1){
    font-family: Arial, Helvetica, sans-serif !important;
    }
    
    .large-widget{
        width: 100%;
        margin: 150px 5px 5px 5px;
    }
}

/*Tablet*/

@media only screen and (min-width: 600px){
    .container .product .image {
        height: 300px; 
    }
}

@media only screen and (max-width: 768px) and (min-width: 600px) {
    
  .col-s-0 {display: none !important;}
  .col-s-1 {width: 8.33%;}
  .col-s-2 {width: 16.66%;}
  .col-s-3 {width: 25%;}
  .col-s-4 {width: 33.33%;}
  .col-s-5 {width: 41.66%;}
  .col-s-6 {width: 50%;}
  .col-s-7 {width: 58.33%;}
  .col-s-8 {width: 66.66%;}
  .col-s-9 {width: 75%;}
  .col-s-10 {width: 83.33%;}
  .col-s-11 {width: 91.66%;}
  .col-s-12 {width: 100%;}
  
}

/* large tablet 1024px*/
@media only screen and (min-width: 768px) and (max-width: 1024px) {
  .col-m-0 {display: none !important;}
}

@media only screen and (max-width: 1024px)and (min-width: 768px) {
  /* For tablets: */
    .col-m-1 {width: 8.33%;}
    .col-m-2 {width: 16.66%;}
    .col-m-3 {width: 25%;}
    .col-m-4 {width: 33.33%;}
    .col-m-5 {width: 41.66%;}
    .col-m-6 {width: 50%;}
    .col-m-7 {width: 58.33%;}
    .col-m-8 {width: 66.66%;}
    .col-m-9 {width: 75%;}
    .col-m-10 {width: 83.33%;}
    .col-m-11 {width: 91.66%;}
    .col-m-12 {width: 100%;}
  
}

@media only screen and (max-width: 1350px) and (min-width: 1025px) {
  .col-L-0 {display: none !important;}
}

@media only screen and (max-width: 1350px) and (min-width: 1024px) {
  /*.col-L-0 {display: none;}*/
  .col-L-1 {width: 8.33%;}
  .col-L-2 {width: 16.66%;}
  .col-L-3 {width: 25%;}
  .col-L-4 {width: 33.33%;}
  .col-L-5 {width: 41.66%;}
  .col-L-6 {width: 50%;}
  .col-L-7 {width: 58.33%;}
  .col-L-8 {width: 66.66%;}
  .col-L-9 {width: 75%;}
  .col-L-10 {width: 83.33%;}
  .col-L-11 {width: 91.66%;}
  .col-L-12 {width: 100%;}
  
  /*.container .product {*/
  /*    max-width: 350px;*/
  /*}*/
}

/*Desktop*/

@media only screen and (min-width: 1350px) {
  /* For desktop: */
  .col-0 {display: none !important;}
  .col-1 {width: 8.33%;}
  .col-1-5 {width: 12.5%;}
  .col-2 {width: 16.66%;}
  .col-2-5 {width: 20.833%}
  .col-3 {width: 25%;}
  .col-4 {width: 33.33%;}
  .col-5 {width: 41.66%;}
  .col-6 {width: 50%;}
  .col-7 {width: 58.33%;}
  .col-8 {width: 66.66%;}
  .col-9 {width: 75%;}
  .col-10 {width: 83.33%;}
  .col-11 {width: 91.66%;}
  .col-12 {width: 100%;}
  
  .container .product {
      max-width: 350px;
  }
}
